<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="../css/styles.css">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <title>Update Order list</title>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light our-grey">
        <button type="button" class="btn btn-lg" data-toggle="popover" data-content="Music Store for all ages">MusicStore</button>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
      
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
              <a class="nav-link" href='./../home-main.html'>Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="./orderList.html">Order Lists <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item" id="new-item-nav-item" >
              <a class="nav-link" href='./new-order.html'>Add New order</a>
            </li>
            <li class="nav-item" id="new-item-nav-item" >
              <a class="nav-link" href='./update-order.html'>Update order</a>
            </li>
            <li class="nav-item" id="new-item-nav-item" >
              <a class="nav-link" href='./delete-order.html'>Delete order</a>
            </li>

            <li class="nav-item" id="login-nav-item">
              <a class="nav-link" href='./../loginForm.html'>Log In</a>
            </li>
            <li class="nav-item" id="log-out-nav-item" hidden>
              <a class="nav-link">Log Out</a>
            </li>
          </ul>
          <form class="form-inline my-2 my-lg-0">
            <input class="form-control mr-sm-2" type="search" aria-label="Search">
            <button class="btn btn-outline-dark my-2 my-sm-0" type="submit">Search</button>
          </form>
        </div>
    </nav>
    <div class="container pt-2">
    <h1>Music Store current Update List</h1></br>

      <!--Section: Best Features-->
      <section id="customer-list" class="text-center">

      <!-- Heading -->
      <h2 class="mb-1 font-weight-bold">Music Store Order Update List</h2>
      <form id="update-order-list-form">
        <table id="orderList-table" class="table" hidden >
        </br>
          <thead>
            <tr>
              <th scope="col">Order Id</th>
              <th scope="col">Order Name</th>
              <th scope="col">Qty</th>
              <th scope="col">Price</th>
              <th scope="col">Total</th>
              <th scope="col">Stock</th>
              <th scope="col">Product Id</th>
              <th scope="col">Customer Id</th>
              <th scope="col">Product Name</th>
              <th scope="col">Customer Name</th>

            </tr>
          </thead>
          <tbody id="order-table-body">
          </tbody>

        </table>
      </section>
    <h1>Update Order List</h1></br>
    
		  <!--Section: Best Features-->
		  <main id="MusicStore-customer">
        <form id="update-order-list-form">
          <p> 
            <label for="inputId"  data-icon="Order Id"> Order Id</label>
            <input id="inputId" class="form-control" type="text" name="Order Id"  required="required" placeholder="Order Id" disabled>
          </p>
          <p> 
            <label for="inputOrderName"  data-icon="Order Name"> Order Name</label>
            <input id="inputOrderName" class="form-control" type="text" name="Order Name"  required="required" placeholder="Order Name">
          </p>
            
          <p> 
            <label for="inputQty" data-icon="Qty"> Qty </label>
            <input id="inputQty" class="form-control" type="text" name="Qty" required="required"  placeholder="Qty"> 
          </p>
          <p> 
            <label for="inputPrice" data-icon="Price"> Price </label>
            <input id="inputPrice" class="form-control" type="text" name="Price" required="required"  placeholder="Price" disabled> 
          </p>
          <p> 
            <label for="inputTotal" data-icon="Total"> Total </label>
            <input id="inputTotal" class="form-control" type="text" name="Total" required="required"  placeholder="Total" > 
          </p>

          <p> 
            <label for="inputStock" data-icon="Stock"> Stock </label>
            <input id="inputStock" class="form-control" type="text" name="Stock" required="required"  placeholder="Stock" disabled> 
          </p>
          <p> 
            <label for="inputProdId" data-icon="prodId" >Product Id</label>
            <input id="inputProdId" class="form-control" type="text" name="prodId" required="required"  placeholder="prodId" disabled> 
          </p>
          <p> 
            <label for="inputProdName" >Product Name </label>
            <input id="inputProdName" class="form-control" type="text" name="prodName" required="required" placeholder="prodName" disabled> 
          </p>
          <p> 
            <label for="inputCustId" >Customer Id </label>
            <input id="inputCustId" class="form-control" type="text" name="custId" required="required" placeholder="custId" disabled> 
          </p>
          <p> 
            <label for="inputCustName" >Customer Name </label>
            <input id="inputCustName" class="form-control" type="text" name="custName" required="required" placeholder="custName" disabled> 
          </p>

          <button class="btn btn-primary" type="submit">Update order</button>
          <div id="create-msg" hidden></div>
          <!---------------------------------------------------->
        </form>
			</main>
    </div>
    
</body>
<script>
    $(function () {
        $('[data-toggle="popover"]').popover()
        })
</script>
<script src="../nav-items.js"></script>
<script src="order-update-request-fetch.js"></script>
<script src="update-order.js"></script>
<script src="../server-requests.js"></script>
</html>
